diff -Nurp reuse-4.2.0/.cvsignore reuse/.cvsignore
--- reuse-4.2.0/.cvsignore	2004-08-25 08:57:53.000000000 +0400
+++ reuse/.cvsignore	2005-10-27 10:56:28.000000000 +0400
@@ -1 +1 @@
-bin lib include
+bin lib lib64 include
diff -Nurp reuse-4.2.0/source/ChangeLog reuse/source/ChangeLog
--- reuse-4.2.0/source/ChangeLog	2005-08-08 11:56:41.000000000 +0400
+++ reuse/source/ChangeLog	2005-10-27 13:07:28.000000000 +0400
@@ -1,3 +1,35 @@
+2005-10-27  Alexander Chernov  <cher@ispras.ru>
+
+	* c_value_ops.c: copyright notice is updated;
+	fixes for 64-bit platforms.
+
+	* configure.ac: fixes for 64-bit platforms.
+
+	* getopt.c: copyright notice is updated;
+	fixes for 64-bit platforms.
+
+	* os_vsnprintf.c, os_vsprintf.c: copyright notice is updated;
+	<string.h> is included.
+
+	* reuse-config-c.c: warning fixes for GCC 4.0.
+
+	* reuse-config.v.in: copyright notice is updated;
+	cgibindir is removed.
+
+	* writehf.c: copyright notice is updated;
+	(reuse_writehf) warning fix for GCC 4.0.
+
+	* writell.c: copyright notice is updated;
+	(reuse_writell) warning fix for GCC 4.0.
+
+	* writeull.c: copyright notice is updated;
+	(reuse_writeull) warning fix for GCC 4.0.
+
+2005-10-06  Alexander Chernov  <cher@ispras.ru>
+
+	* mkChangeLog.c: copyright notice is updated;
+	(main) date parsing is updated for CVS 1.12.
+
 2005-08-08  Alexander Chernov  <cher@ispras.ru>
 
 	* VERSION: *** empty log message ***
@@ -3537,4 +3569,4 @@ Tue Oct 31 12:26:54 1995  Alexander Cher
 	* Positions.h: Initial revision
 
 END
-	# $Id: ChangeLog,v 6.42 2005/08/08 07:56:41 cher Exp $
+	# $Id: ChangeLog,v 6.43 2005/10/27 09:07:28 cher Exp $
diff -Nurp reuse-4.2.0/source/configure reuse/source/configure
--- reuse-4.2.0/source/configure	2005-08-08 12:03:29.000000000 +0400
+++ reuse/source/configure	2005-10-27 13:22:08.000000000 +0400
@@ -19937,6 +19937,12 @@ echo "${ECHO_T}no" >&6
 fi
 
 
+case "${host}" in
+  x86_64-*linux*)
+    libdir='${exec_prefix}/lib64'
+    ;;
+esac
+
 case "${target}" in
   *-*-mingw*)
     ac_cv_reuse_API_type=win32
@@ -20580,7 +20586,7 @@ then
 elif [ x"${ac_cv_int_bits}" = x64 ]
 then
   ac_cv_64_bit_type="int"
-elif [ x"${ac_cv_short_bits}" = x64 ]
+elif [ x"${ac_cv_long_bits}" = x64 ]
 then
   ac_cv_64_bit_type="long"
 elif [ x"${ac_cv_long_long_bits}" = x64 ]
@@ -20604,82 +20610,16 @@ if [ x"${ac_cv_64_bit_type}" != x ]
 then
   echo "$as_me:$LINENO: checking for 64-bit signed int literal suffix" >&5
 echo $ECHO_N "checking for 64-bit signed int literal suffix... $ECHO_C" >&6
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-
-int main()
-{
-  ${ac_cv_64_bit_type} z = 0x0102030405060708ll;
-  return 0;
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-  ac_cv_64_bit_signed_suffix="ll"
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-
-int main()
-{
-  ${ac_cv_64_bit_type} z = 0x0102030405060708i64;
-  return 0;
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-  ac_cv_64_bit_signed_suffix="i64"
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
+  if [ x"${ac_cv_64_bit_type}" == x"long" ]; then
+    ac_cv_64_bit_signed_suffix="l"
+    ac_cv_64_bit_unsigned_suffix="ul"
+  elif [ x"${ac_cv_64_bit_type}" == x"long long" ]; then
+    ac_cv_64_bit_signed_suffix="ll"
+    ac_cv_64_bit_unsigned_suffix="ull"
+  elif [ x"${ac_cv_64_bit_type}" == x"__int64" ]; then
+    ac_cv_64_bit_signed_suffix="i64"
+    ac_cv_64_bit_unsigned_suffix="ui64"
+  fi
   if [ x"${ac_cv_64_bit_signed_suffix}" != x ]
   then
     echo "$as_me:$LINENO: result: yes, ${ac_cv_64_bit_signed_suffix}" >&5
@@ -20691,44 +20631,17 @@ echo "${ECHO_T}no" >&6
 
   echo "$as_me:$LINENO: checking for 64-bit unsigned int literal suffix" >&5
 echo $ECHO_N "checking for 64-bit unsigned int literal suffix... $ECHO_C" >&6
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-
-int main()
-{
-  unsigned ${ac_cv_64_bit_type} z = 0x0102030405060708ull;
-  return 0;
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-  ac_cv_64_bit_unsigned_suffix="ull"
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+  if [ x"${ac_cv_64_bit_unsigned_suffix}" != x ]
+  then
+    echo "$as_me:$LINENO: result: yes, ${ac_cv_64_bit_unsigned_suffix}" >&5
+echo "${ECHO_T}yes, ${ac_cv_64_bit_unsigned_suffix}" >&6
+  else
+    echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+  fi
 
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
+  echo "$as_me:$LINENO: checking for 64-bit printf size specifier" >&5
+echo $ECHO_N "checking for 64-bit printf size specifier... $ECHO_C" >&6
   if test "$cross_compiling" = yes; then
   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
 See \`config.log' for more details." >&5
@@ -20738,11 +20651,14 @@ See \`config.log' for more details." >&2
 else
   cat >conftest.$ac_ext <<_ACEOF
 
+#include <stdio.h>
 int main()
 {
-  ${ac_cv_64_bit_type} z = 0x0102030405060708ui64;
-  return 0;
-}
+  char buf[128];
+  ${ac_cv_64_bit_type} x = 0x1122334455667788${ac_cv_64_bit_signed_suffix};
+  sprintf(buf, "%lx", x);
+  if (!strcmp(buf,"1122334455667788")) return 0;
+  return 1; }
 
 _ACEOF
 rm -f conftest$ac_exeext
@@ -20757,7 +20673,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-  ac_cv_64_bit_unsigned_suffix="ui64"
+  ac_cv_64_bit_printf_specifier="l"
 
 else
   echo "$as_me: program exited with status $ac_status" >&5
@@ -20767,18 +20683,9 @@ sed 's/^/| /' conftest.$ac_ext >&5
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-  if [ x"${ac_cv_64_bit_unsigned_suffix}" != x ]
+  if [ x"${ac_cv_64_bit_printf_specifier}" = x ]
   then
-    echo "$as_me:$LINENO: result: yes, ${ac_cv_64_bit_unsigned_suffix}" >&5
-echo "${ECHO_T}yes, ${ac_cv_64_bit_unsigned_suffix}" >&6
-  else
-    echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  fi
-
-  echo "$as_me:$LINENO: checking for 64-bit printf size specifier" >&5
-echo $ECHO_N "checking for 64-bit printf size specifier... $ECHO_C" >&6
-  if test "$cross_compiling" = yes; then
+    if test "$cross_compiling" = yes; then
   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
 See \`config.log' for more details." >&5
 echo "$as_me: error: cannot run test program while cross compiling
@@ -20819,6 +20726,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
+  fi
   if [ x"${ac_cv_64_bit_printf_specifier}" = x ]
   then
     if test "$cross_compiling" = yes; then
diff -Nurp reuse-4.2.0/source/configure.ac reuse/source/configure.ac
--- reuse-4.2.0/source/configure.ac	2005-02-13 12:39:20.000000000 +0300
+++ reuse/source/configure.ac	2005-10-27 13:02:49.000000000 +0400
@@ -1,4 +1,4 @@
-dnl $Id: configure.ac,v 1.5 2005/02/13 09:39:20 cher Exp $
+dnl $Id: configure.ac,v 1.6 2005/10/27 09:02:49 cher Exp $
 dnl Copyright (C) 2004-2005 Alexander Chernov
 
 AC_PREREQ([2.59])
@@ -17,6 +17,12 @@ AC_LIBTOOL_WIN32_DLL
 AC_PROG_LIBTOOL
 AC_PROG_MAKE_SET
 
+case "${host}" in
+  x86_64-*linux*)
+    libdir='${exec_prefix}/lib64'
+    ;;
+esac
+
 dnl choose an API type
 case "${target}" in
   *-*-mingw*)
@@ -372,7 +378,7 @@ then
 elif [[ x"${ac_cv_int_bits}" = x64 ]]
 then
   ac_cv_64_bit_type="int"
-elif [[ x"${ac_cv_short_bits}" = x64 ]]
+elif [[ x"${ac_cv_long_bits}" = x64 ]]
 then
   ac_cv_64_bit_type="long"
 elif [[ x"${ac_cv_long_long_bits}" = x64 ]]
@@ -393,26 +399,16 @@ fi
 if [[ x"${ac_cv_64_bit_type}" != x ]]
 then
   AC_MSG_CHECKING([for 64-bit signed int literal suffix])
-  AC_RUN_IFELSE(
-[[
-int main()
-{
-  ${ac_cv_64_bit_type} z = 0x0102030405060708ll;
-  return 0;
-}
-]],[
-  ac_cv_64_bit_signed_suffix="ll"
-])
-  AC_RUN_IFELSE(
-[[
-int main()
-{
-  ${ac_cv_64_bit_type} z = 0x0102030405060708i64;
-  return 0;
-}
-]],[
-  ac_cv_64_bit_signed_suffix="i64"
-])
+  if [[ x"${ac_cv_64_bit_type}" == x"long" ]]; then
+    ac_cv_64_bit_signed_suffix="l"
+    ac_cv_64_bit_unsigned_suffix="ul"
+  elif [[ x"${ac_cv_64_bit_type}" == x"long long" ]]; then
+    ac_cv_64_bit_signed_suffix="ll"
+    ac_cv_64_bit_unsigned_suffix="ull"
+  elif [[ x"${ac_cv_64_bit_type}" == x"__int64" ]]; then
+    ac_cv_64_bit_signed_suffix="i64"
+    ac_cv_64_bit_unsigned_suffix="ui64"
+  fi
   if [[ x"${ac_cv_64_bit_signed_suffix}" != x ]]
   then
     AC_MSG_RESULT([yes, ${ac_cv_64_bit_signed_suffix}])
@@ -421,26 +417,6 @@ int main()
   fi
 
   AC_MSG_CHECKING([for 64-bit unsigned int literal suffix])
-  AC_RUN_IFELSE(
-[[
-int main()
-{
-  unsigned ${ac_cv_64_bit_type} z = 0x0102030405060708ull;
-  return 0;
-}
-]],[
-  ac_cv_64_bit_unsigned_suffix="ull"
-])
-  AC_RUN_IFELSE(
-[[
-int main()
-{
-  ${ac_cv_64_bit_type} z = 0x0102030405060708ui64;
-  return 0;
-}
-]],[
-  ac_cv_64_bit_unsigned_suffix="ui64"
-])
   if [[ x"${ac_cv_64_bit_unsigned_suffix}" != x ]]
   then
     AC_MSG_RESULT([yes, ${ac_cv_64_bit_unsigned_suffix}])
@@ -456,12 +432,28 @@ int main()
 {
   char buf[128];
   ${ac_cv_64_bit_type} x = 0x1122334455667788${ac_cv_64_bit_signed_suffix};
+  sprintf(buf, "%lx", x);
+  if (!strcmp(buf,"1122334455667788")) return 0;
+  return 1; }
+]],[
+  ac_cv_64_bit_printf_specifier="l"
+])
+  if [[ x"${ac_cv_64_bit_printf_specifier}" = x ]]
+  then
+    AC_RUN_IFELSE(
+[[
+#include <stdio.h>
+int main()
+{
+  char buf[128];
+  ${ac_cv_64_bit_type} x = 0x1122334455667788${ac_cv_64_bit_signed_suffix};
   sprintf(buf, "%llx", x);
   if (!strcmp(buf,"1122334455667788")) return 0;
   return 1; }
 ]],[
   ac_cv_64_bit_printf_specifier="ll"
 ])
+  fi
   if [[ x"${ac_cv_64_bit_printf_specifier}" = x ]]
   then
     AC_RUN_IFELSE(
diff -Nurp reuse-4.2.0/source/c_value_ops.c reuse/source/c_value_ops.c
--- reuse-4.2.0/source/c_value_ops.c	2004-07-17 10:28:11.000000000 +0400
+++ reuse/source/c_value_ops.c	2005-10-27 13:03:12.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode: C -*- */
-/* $Id: c_value_ops.c,v 1.15 2004/07/17 06:28:11 cher Exp $ */
+/* $Id: c_value_ops.c,v 1.16 2005/10/27 09:03:12 cher Exp $ */
 
-/* Copyright (C) 1999-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1999-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This program is free software; you can redistribute it and/or
@@ -3198,57 +3198,57 @@ static int p_to_b(void const *s, void *d
 }
 static int p_to_c(const void *s, void *d)
 {
-  *(char *) d = (char) (int) *(const void **) s;
+  *(char *) d = (char) (long) *(const void **) s;
   return 0;
 }
 static int p_to_sc(const void *s, void *d)
 {
-  *(signed char *) d = (signed char) (int) *(const void **) s;
+  *(signed char *) d = (signed char) (long) *(const void **) s;
   return 0;
 }
 static int p_to_uc(const void *s, void *d)
 {
-  *(unsigned char *) d = (unsigned char) (int) *(const void **) s;
+  *(unsigned char *) d = (unsigned char) (long) *(const void **) s;
   return 0;
 }
 static int p_to_s(const void *s, void *d)
 {
-  *(short *) d = (short) (int) *(const void **) s;
+  *(short *) d = (short) (long) *(const void **) s;
   return 0;
 }
 static int p_to_us(const void *s, void *d)
 {
-  *(unsigned short *) d = (unsigned short) (int) *(const void **) s;
+  *(unsigned short *) d = (unsigned short) (long) *(const void **) s;
   return 0;
 }
 static int p_to_i(const void *s, void *d)
 {
-  CONVERT(void *, int);
+  *(int *) d = (int) (long) *(const void **) s;
   return 0;
 }
 static int p_to_ui(const void *s, void *d)
 {
-  CONVERT(void *, unsigned int);
+  *(unsigned int *) d = (unsigned int) (unsigned long) *(const void **) s;
   return 0;
 }
 static int p_to_l(const void *s, void *d)
 {
-  *(long *) d = (long) (int) *(const void **) s;
+  *(long *) d = (long) *(const void **) s;
   return 0;
 }
 static int p_to_ul(const void *s, void *d)
 {
-  *(unsigned long *) d = (unsigned long) (int) *(const void **) s;
+  *(unsigned long *) d = (unsigned long) *(const void **) s;
   return 0;
 }
 static int p_to_ll(const void *s, void *d)
 {
-  *(long long *) d = (long long) (int) *(const void **) s;
+  *(long long *) d = (long long) (long) *(const void **) s;
   return 0;
 }
 static int p_to_ull(const void *s, void *d)
 {
-  *(unsigned long long *) d = (unsigned long long) (int) *(const void **) s;
+  *(unsigned long long *) d = (unsigned long long) (unsigned long) *(const void **) s;
   return 0;
 }
 
@@ -4537,7 +4537,7 @@ vo_run_update(int it, int code, void *d)
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static const unsigned char cvsid[] __attribute__((unused)) =
-"$Id: c_value_ops.c,v 1.15 2004/07/17 06:28:11 cher Exp $";
+"$Id: c_value_ops.c,v 1.16 2005/10/27 09:03:12 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/db/revisions reuse/source/db/revisions
--- reuse-4.2.0/source/db/revisions	2005-08-08 11:52:43.000000000 +0400
+++ reuse/source/db/revisions	2005-10-27 13:05:19.000000000 +0400
@@ -562,3 +562,16 @@ win32/os_getlastname.c 1 3 130885
 unix/exec.c 6 33 3420897
 win32/exec.c 1 19 2896173
 ./include/reuse/exec.h 6 16 292859
+c_value_ops.c 1 16 8659147
+getopt.c 6 16 2626604
+os_vsnprintf.c 1 4 298766
+os_vsprintf.c 1 3 210401
+reuse-config-c.c 1 3 676376
+writehf.c 1 6 322961
+writell.c 1 7 228716
+writeull.c 1 7 202377
+unix/exec.c 6 34 3421110
+unix/os_env.c 1 5 532435
+unix/stream_io.c 6 9 1927650
+./include/reuse/Sets.h 6 8 315277
+./include/reuse/osdeps.h 6 22 214306
diff -Nurp reuse-4.2.0/source/db/versions reuse/source/db/versions
--- reuse-4.2.0/source/db/versions	2005-08-08 12:02:20.000000000 +0400
+++ reuse/source/db/versions	2005-10-27 13:05:20.000000000 +0400
@@ -96,3 +96,4 @@
 1890 4.0 0
 1900 4.0 1 2005/03/28
 1903 4.2 0 2005/08/08
+1916 4.2 1 2005/10/27
diff -Nurp reuse-4.2.0/source/getopt.c reuse/source/getopt.c
--- reuse-4.2.0/source/getopt.c	2004-07-17 10:28:12.000000000 +0400
+++ reuse/source/getopt.c	2005-10-27 13:02:24.000000000 +0400
@@ -1,6 +1,6 @@
-/* $Id: getopt.c,v 6.15 2004/07/17 06:28:12 cher Exp $ */
+/* $Id: getopt.c,v 6.16 2005/10/27 09:02:24 cher Exp $ */
 
-/* Copyright (C) 1997-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1997-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This library is free software; you can redistribute it and/or
@@ -239,7 +239,7 @@ handle_s(optrec_t *rec,         /* Optio
       *pdata = (short) args[0];
       break;
     case 3:                     /* s* */
-      *pdata = (short) (int) rec->opt_extra;
+      *pdata = (short) (long) rec->opt_extra;
       break;
     default:
       SWERR(("mod_type == %d", mod_type));
@@ -323,16 +323,16 @@ handle_m(optrec_t  *rec,
   switch (mod_type)
     {
     case 91:                    /* m- */
-      pdata->mask  |=  (unsigned int) rec->opt_extra;
-      pdata->flags &= ~(unsigned int) rec->opt_extra;
+      pdata->mask  |=  (unsigned long) rec->opt_extra;
+      pdata->flags &= ~(unsigned long) rec->opt_extra;
       break;
     case 92:                    /* m+ */
-      pdata->mask  |=  (unsigned int) rec->opt_extra;
-      pdata->flags |=  (unsigned int) rec->opt_extra;
+      pdata->mask  |=  (unsigned long) rec->opt_extra;
+      pdata->flags |=  (unsigned long) rec->opt_extra;
       break;
     case 93:                    /* m* */
-      pdata->mask  |=  (unsigned int) rec->opt_extra;
-      pdata->mask  ^=  (unsigned int) rec->opt_extra;
+      pdata->mask  |=  (unsigned long) rec->opt_extra;
+      pdata->mask  ^=  (unsigned long) rec->opt_extra;
       break;
     default:
       SWERR(("mod_type == %d", mod_type));
@@ -1440,7 +1440,7 @@ err_Startup(char *format, ...)
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const cvsid[]  __attribute__((unused)) =
-"$Id: getopt.c,v 6.15 2004/07/17 06:28:12 cher Exp $";
+"$Id: getopt.c,v 6.16 2005/10/27 09:02:24 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/include/reuse/ChangeLog reuse/source/include/reuse/ChangeLog
--- reuse-4.2.0/source/include/reuse/ChangeLog	2005-08-08 11:56:41.000000000 +0400
+++ reuse/source/include/reuse/ChangeLog	2005-10-27 13:07:28.000000000 +0400
@@ -1,3 +1,11 @@
+2005-10-27  Alexander Chernov  <cher@ispras.ru>
+
+	* Sets.h: copyright notice is updated;
+	fix for 64-bit platforms.
+
+	* osdeps.h: copyright notice is updated;
+	(os_GuessProjectEnv) prototype is updated: "const" removed in `path'.
+
 2005-08-08  Alexander Chernov  <cher@ispras.ru>
 
 	* exec.h: (task_SetMaxTimeMillis) new function prototype;
diff -Nurp reuse-4.2.0/source/include/reuse/osdeps.h reuse/source/include/reuse/osdeps.h
--- reuse-4.2.0/source/include/reuse/osdeps.h	2004-08-25 09:02:50.000000000 +0400
+++ reuse/source/include/reuse/osdeps.h	2005-10-27 12:58:39.000000000 +0400
@@ -1,9 +1,9 @@
-/* $Id: osdeps.h,v 6.21 2004/08/25 05:02:50 cher Exp $ */
+/* $Id: osdeps.h,v 6.22 2005/10/27 08:58:39 cher Exp $ */
 
 #ifndef __REUSE_OSDEPS_H__
 #define __REUSE_OSDEPS_H__
 
-/* Copyright (C) 1997-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1997-2005 Alexander Chernov <cher@ispras.ru> */
 /* Created: <1997-11-18 16:14:11 cher> */
 
 /*
@@ -61,7 +61,7 @@ R_DLL char *get_PRJ_HOME(void);
 R_DLL char *get_PRJ_HOME_name(void);
 R_DLL char *get_PRJ_CONFIG(void);
 R_DLL char *get_PRJ_CONFIG_name(void);
-R_DLL int   os_GuessProjectEnv(char const *, char const *);
+R_DLL int   os_GuessProjectEnv(char *, char const *);
 
 R_DLL int os_SetLock(char const *, int, int);
 
diff -Nurp reuse-4.2.0/source/include/reuse/Sets.h reuse/source/include/reuse/Sets.h
--- reuse-4.2.0/source/include/reuse/Sets.h	2004-07-17 10:11:56.000000000 +0400
+++ reuse/source/include/reuse/Sets.h	2005-10-27 12:59:05.000000000 +0400
@@ -1,9 +1,9 @@
-/* $Id: Sets.h,v 6.7 2004/07/17 06:11:56 cher Exp $ */
+/* $Id: Sets.h,v 6.8 2005/10/27 08:59:05 cher Exp $ */
 
 #ifndef __REUSE_SETS_H__
 #define __REUSE_SETS_H__
 
-/* Copyright (C) 1995-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1995-2005 Alexander Chernov <cher@ispras.ru> */
 /* Ich, Doktor Josef Grosch, Informatiker, Sept. 1987 */
 /* Alexander Chernov, Nov. 1995 */
 
@@ -27,12 +27,13 @@
 #include <stdio.h>
 #include <stdlib.h>
 
+typedef void (*tsetElemPrint)(rushort_t,tGenOut*);
+
 #define BitsPerBitset           32
 #define LdBitsPerBitset         5
 #define MaskBitsPerBitset       0x0000001f
 
 typedef ruint32_t  BITSET;
-typedef void (*tsetElemPrint)(rushort_t,tGenOut*);
 
 typedef struct tSet
 {
@@ -45,7 +46,7 @@ typedef struct tSet
   tsetElemPrint PrintFunc;
 } tSet;
 
-#define IsElement(Elmt,Set)        ((long) ((Set)->BitsetPtr [(Elmt) >> LdBitsPerBitset] << ((Elmt) & MaskBitsPerBitset)) < 0)
+#define IsElement(Elmt,Set)        ((int) ((Set)->BitsetPtr [(Elmt) >> LdBitsPerBitset] << ((Elmt) & MaskBitsPerBitset)) < 0)
 #define Size(Set)                  ((Set)->MaxElmt)
 #define Select(Set)                Minimum (Set)
 #define IsNotEqual(Set1, Set2)     (! IsEqual (Set1, Set2))
diff -Nurp reuse-4.2.0/source/mkChangeLog.c reuse/source/mkChangeLog.c
--- reuse-4.2.0/source/mkChangeLog.c	2004-02-29 15:41:25.000000000 +0300
+++ reuse/source/mkChangeLog.c	2005-10-06 10:51:55.000000000 +0400
@@ -1,6 +1,6 @@
-/* $Id: mkChangeLog.c,v 1.10 2004/02/29 12:41:25 cher Exp $ */
+/* $Id: mkChangeLog.c,v 1.11 2005/10/06 06:51:55 cher Exp $ */
 
-/* Copyright (C) 1999-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1999-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  *  This program is free software; you can redistribute it and/or
@@ -428,10 +428,10 @@ exitfunc(void)
 }
 
 static char const cvsid[] =
-"$Id: mkChangeLog.c,v 1.10 2004/02/29 12:41:25 cher Exp $";
+"$Id: mkChangeLog.c,v 1.11 2005/10/06 06:51:55 cher Exp $";
 static char const version[] = "1.0";
 static char const copyright[] =
-"Copyright (C) 1999-2004 Alexander Chernov <cher@ispras.ru>\n\n"
+"Copyright (C) 1999-2005 Alexander Chernov <cher@ispras.ru>\n\n"
 "This is free software; see the source for copying conditions.  There is NO\n"
 "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
 
@@ -547,6 +547,7 @@ main(int argc, char *argv[])
         int        hour;
         int        min;
         int        sec;
+        int        tzoffset;
         char       user[32];
         int        user_len;
         struct tm  tm_time;
@@ -556,8 +557,12 @@ main(int argc, char *argv[])
         if (sscanf(line_buf,
                    "date: %d/%d/%d %d:%d:%d;  author: %s",
                    &year, &month, &day, &hour, &min, &sec, user) != 7) {
-          fprintf(stderr, "failed to read date: string\n");
-          continue;
+          if (sscanf(line_buf,
+                     "date: %d-%d-%d %d:%d:%d %d;  author: %s",
+                     &year, &month, &day, &hour, &min, &sec, &tzoffset, user) != 8) {
+            fprintf(stderr, "failed to read date: %s\n", line_buf);
+            continue;
+          }
         }
         user_len = strlen(user);
         if (user_len > 0 && user[user_len - 1] == ';') {
diff -Nurp reuse-4.2.0/source/NEWS reuse/source/NEWS
--- reuse-4.2.0/source/NEWS	2005-08-08 12:02:12.000000000 +0400
+++ reuse/source/NEWS	2005-10-27 13:24:42.000000000 +0400
@@ -1,4 +1,8 @@
-$Id: NEWS,v 6.11 2005/08/08 08:02:12 cher Exp $
+$Id: NEWS,v 6.12 2005/10/27 09:07:28 cher Exp $
+
+Reuse 4.2.1 (20051027)
+======================
+Fixes for x86_64 platform. Fixes for GCC 4.0 compiler.
 
 Reuse 4.2.0 (20050808)
 ======================
diff -Nurp reuse-4.2.0/source/os_vsnprintf.c reuse/source/os_vsnprintf.c
--- reuse-4.2.0/source/os_vsnprintf.c	2004-07-17 10:28:12.000000000 +0400
+++ reuse/source/os_vsnprintf.c	2005-10-27 13:01:56.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode:c -*- */
-/* $Id: os_vsnprintf.c,v 1.3 2004/07/17 06:28:12 cher Exp $ */
+/* $Id: os_vsnprintf.c,v 1.4 2005/10/27 09:01:56 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This library is free software; you can redistribute it and/or
@@ -29,6 +29,7 @@
 #include <stdio.h>
 #include <stdarg.h>
 #include <stdlib.h>
+#include <string.h>
 
 #if CONF_USE_SYSTEM_PRINTF - 0 != 1
 # define GENCODE 1
@@ -64,7 +65,7 @@ static int
 snprintf_put_string(void *vp, char const *str)
 {
   struct snprintf_data *p = (struct snprintf_data*) vp;
-  int size = strlen(str);
+  size_t size = strlen(str);
   int nbytes;
 
   if (p->cur + size > p->limit) {
@@ -117,7 +118,7 @@ os_vsnprintf(char *buf, size_t size, cha
 #else
   struct snprintf_data d;
 
-  d.buf = buf;
+  d.buf = (unsigned char*) buf;
   d.size = size;
   d.limit = size - 1;
   d.cur = 0;
@@ -142,7 +143,7 @@ os_snprintf(char *buf, size_t size, char
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: os_vsnprintf.c,v 1.3 2004/07/17 06:28:12 cher Exp $";
+"$Id: os_vsnprintf.c,v 1.4 2005/10/27 09:01:56 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/os_vsprintf.c reuse/source/os_vsprintf.c
--- reuse-4.2.0/source/os_vsprintf.c	2004-07-17 10:28:12.000000000 +0400
+++ reuse/source/os_vsprintf.c	2005-10-27 13:01:47.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode:c -*- */
-/* $Id: os_vsprintf.c,v 1.2 2004/07/17 06:28:12 cher Exp $ */
+/* $Id: os_vsprintf.c,v 1.3 2005/10/27 09:01:47 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This library is free software; you can redistribute it and/or
@@ -28,6 +28,7 @@
 
 #include <stdio.h>
 #include <stdarg.h>
+#include <string.h>
 
 #if CONF_USE_SYSTEM_PRINTF - 0 != 1
 struct sprintf_data
@@ -98,7 +99,7 @@ os_sprintf(char *buf, char const *format
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: os_vsprintf.c,v 1.2 2004/07/17 06:28:12 cher Exp $";
+"$Id: os_vsprintf.c,v 1.3 2005/10/27 09:01:47 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/reuse-config-c.c reuse/source/reuse-config-c.c
--- reuse-4.2.0/source/reuse-config-c.c	2005-02-13 12:28:40.000000000 +0300
+++ reuse/source/reuse-config-c.c	2005-10-27 13:01:20.000000000 +0400
@@ -1,4 +1,4 @@
-/* $Id: reuse-config-c.c,v 1.2 2005/02/13 09:28:40 cher Exp $ */
+/* $Id: reuse-config-c.c,v 1.3 2005/10/27 09:01:20 cher Exp $ */
 
 /* Copyright (C) 2005 Alexander Chernov <cher@ispras.ru> */
 
@@ -41,15 +41,15 @@ struct vartable
 
 static struct vartable vars[] =
 {
-  { "prefix", &var_prefix },
-  { "exec_prefix", &var_exec_prefix },
-  { "bindir", &var_bindir },
-  { "datadir", &var_datadir },
-  { "includedir", &var_includedir },
-  { "libdir", &var_libdir },
-  { "libexecdir", &var_libexecdir },
-  { "build", &var_build },
-  { "build_version", &var_build_version },
+  { (const unsigned char*) "prefix", &var_prefix },
+  { (const unsigned char*) "exec_prefix", &var_exec_prefix },
+  { (const unsigned char*) "bindir", &var_bindir },
+  { (const unsigned char*) "datadir", &var_datadir },
+  { (const unsigned char*) "includedir", &var_includedir },
+  { (const unsigned char*) "libdir", &var_libdir },
+  { (const unsigned char*) "libexecdir", &var_libexecdir },
+  { (const unsigned char*) "build", &var_build },
+  { (const unsigned char*) "build_version", &var_build_version },
   { 0, 0 },
 };
 
@@ -61,7 +61,7 @@ err(const char *format, ...)
   va_list args;
 
   va_start(args, format);
-  vsnprintf(buf, sizeof(buf), format, args);
+  vsnprintf((char*)buf, sizeof(buf), format, args);
   va_end(args);
 
   fprintf(stderr, "%s: %s\n", prog_name, buf);
@@ -101,7 +101,7 @@ get_var_value(const unsigned char *varna
 
   // search in global variables
   for (i = 0; vars[i].name; i++) {
-    if (!strcmp(vars[i].name, varname)) break;
+    if (!strcmp((char*)vars[i].name, (char*)varname)) break;
   }
   if (!vars[i].name)
     err("variable `%s' is unknown", vars[i].name);
@@ -120,7 +120,7 @@ varsubst_heap(unsigned char *in_str, int
 
   //fprintf(stderr, ">>%s\n", in_str);
 
-  in_str_len = strlen(in_str);
+  in_str_len = strlen((char*)in_str);
   while (1) {
     // find the first variable use
     p1 = in_str;
@@ -149,15 +149,15 @@ varsubst_heap(unsigned char *in_str, int
       free(var_name);
       return 0;
     }
-    var_value_len = strlen(var_value);
+    var_value_len = strlen((char*)var_value);
     out_str = xmalloc(in_str_len + var_value_len + 1);
     memcpy(out_str, in_str, p1 - in_str);
     memcpy(out_str + (p1 - in_str), var_value, var_value_len);
-    strcpy(out_str + (p1 - in_str) + var_value_len, p2 + 1);
+    strcpy((char*) out_str + (p1 - in_str) + var_value_len, (char*)p2 + 1);
 
     if (free_flag) free(in_str);
     in_str = out_str;
-    in_str_len = strlen(in_str);
+    in_str_len = strlen((char*)in_str);
     free_flag = 1;
   }
   free(var_name);
@@ -209,17 +209,17 @@ main(int argc, char **argv)
   unsigned char outbuf[8192] = { 0 };
   unsigned char *sps;
   
-  prog_name = argv[0];
+  prog_name = (unsigned char*) argv[0];
 
-  var_prefix = varsubst_heap(REUSE_CONFIG_prefix, 0);
-  var_exec_prefix = varsubst_heap(REUSE_CONFIG_exec_prefix, 0);
-  var_bindir = varsubst_heap(REUSE_CONFIG_bindir, 0);
-  var_datadir = varsubst_heap(REUSE_CONFIG_datadir, 0);
-  var_includedir = varsubst_heap(REUSE_CONFIG_includedir, 0);
-  var_libdir = varsubst_heap(REUSE_CONFIG_libdir, 0);
-  var_libexecdir = varsubst_heap(REUSE_CONFIG_libexecdir, 0);
-  var_build = varsubst_heap(REUSE_CONFIG_build, 0);
-  var_build_version = varsubst_heap(REUSE_CONFIG_build_version, 0);
+  var_prefix = varsubst_heap((unsigned char*)REUSE_CONFIG_prefix, 0);
+  var_exec_prefix = varsubst_heap((unsigned char*)REUSE_CONFIG_exec_prefix, 0);
+  var_bindir = varsubst_heap((unsigned char*)REUSE_CONFIG_bindir, 0);
+  var_datadir = varsubst_heap((unsigned char*)REUSE_CONFIG_datadir, 0);
+  var_includedir = varsubst_heap((unsigned char*)REUSE_CONFIG_includedir, 0);
+  var_libdir = varsubst_heap((unsigned char*)REUSE_CONFIG_libdir, 0);
+  var_libexecdir = varsubst_heap((unsigned char*)REUSE_CONFIG_libexecdir, 0);
+  var_build = varsubst_heap((unsigned char*)REUSE_CONFIG_build, 0);
+  var_build_version = varsubst_heap((unsigned char*)REUSE_CONFIG_build_version, 0);
 
   if (argc <= 1) usage();
 
@@ -261,29 +261,29 @@ main(int argc, char **argv)
   }
 
   if (need_cflags) {
-    sps = "";
-    if (outbuf[0]) sps = " ";
-    snprintf(tmpbuf, sizeof(tmpbuf), "%s%s-I%s -I%s/reuse/include", outbuf, sps,
+    sps = (unsigned char*) "";
+    if (outbuf[0]) sps = (unsigned char*) " ";
+    snprintf((char*)tmpbuf, sizeof(tmpbuf), "%s%s-I%s -I%s/reuse/include", outbuf, sps,
              var_includedir, var_libdir);
-    strcpy(outbuf, tmpbuf);
+    strcpy((char*) outbuf, (char*) tmpbuf);
   }
 
   if (need_ldflags) {
-    sps = "";
-    if (outbuf[0]) sps = " ";
-    snprintf(tmpbuf, sizeof(tmpbuf), "%s%s-L%s", outbuf, sps, var_libdir);
-    strcpy(outbuf, tmpbuf);
+    sps = (unsigned char*) "";
+    if (outbuf[0]) sps = (unsigned char*) " ";
+    snprintf((char*)tmpbuf, sizeof(tmpbuf), "%s%s-L%s", outbuf, sps, var_libdir);
+    strcpy((char*)outbuf, (char*)tmpbuf);
 #if !defined REUSE_CONFIG_disable_rpath || !REUSE_CONFIG_disable_rpath
-    snprintf(tmpbuf, sizeof(tmpbuf), "%s -Wl,-rpath,%s", outbuf, var_libdir);
-    strcpy(outbuf, tmpbuf);
+    snprintf((char*)tmpbuf, sizeof(tmpbuf), "%s -Wl,-rpath,%s", outbuf, var_libdir);
+    strcpy((char*)outbuf, (char*)tmpbuf);
 #endif
   }
 
   if (need_libs) {
-    sps = "";
-    if (outbuf[0]) sps = " ";
-    snprintf(tmpbuf, sizeof(tmpbuf), "%s%s-lreuse -lm", outbuf, sps);
-    strcpy(outbuf, tmpbuf);
+    sps = (unsigned char*)"";
+    if (outbuf[0]) sps = (unsigned char*)" ";
+    snprintf((char*)tmpbuf, sizeof(tmpbuf), "%s%s-lreuse -lm", outbuf, sps);
+    strcpy((char*)outbuf, (char*)tmpbuf);
   }
 
   if (outbuf[0]) printf("%s\n", outbuf);
diff -Nurp reuse-4.2.0/source/reuse-config.v.in reuse/source/reuse-config.v.in
--- reuse-4.2.0/source/reuse-config.v.in	2004-08-25 09:07:59.000000000 +0400
+++ reuse/source/reuse-config.v.in	2005-10-27 13:00:52.000000000 +0400
@@ -1,6 +1,6 @@
 #!/bin/sh
-# $Id: reuse-config.v.in,v 1.2 2004/08/25 05:07:59 cher Exp $
-# Copyright (C) 2004 Alexander Chernov <cher@unicorn.cmc.msu.ru>
+# $Id: reuse-config.v.in,v 1.3 2005/10/27 09:00:52 cher Exp $
+# Copyright (C) 2004,2005 Alexander Chernov <cher@unicorn.cmc.msu.ru>
 
 prefix="@prefix@"
 exec_prefix="@exec_prefix@"
@@ -9,7 +9,6 @@ datadir="@datadir@"
 includedir="@includedir@"
 libdir="@libdir@"
 libexecdir="@libexecdir@"
-cgibindir="@cgibindir@"
 build="@ac_cv_build@"
 
 # This variable is updated on each build
diff -Nurp reuse-4.2.0/source/unix/ChangeLog reuse/source/unix/ChangeLog
--- reuse-4.2.0/source/unix/ChangeLog	2005-08-08 11:56:41.000000000 +0400
+++ reuse/source/unix/ChangeLog	2005-10-27 13:07:28.000000000 +0400
@@ -1,3 +1,14 @@
+2005-10-27  Alexander Chernov  <cher@ispras.ru>
+
+	* exec.c: (task_PrintArgs) Fixes for 64-bit platforms.
+
+	* os_env.c: copyright notice is updated;
+	(os_GuessProjectEnv) `const' is removed in the `path' parameter;
+	  fixes for the GCC 4.0.
+
+	* stream_io.c: copyright notice is updated;
+	(strm_Open) fixes for GCC 4.0.
+
 2005-08-08  Alexander Chernov  <cher@ispras.ru>
 
 	* exec.c: <sys/ptrace.h> is included;
@@ -834,4 +845,4 @@ Fri Nov 10 11:00:50 1995  Alexander Cher
 	* System.c: Initial revision
 
 END
-	# $Id: ChangeLog,v 6.30 2005/08/08 07:56:41 cher Exp $
+	# $Id: ChangeLog,v 6.31 2005/10/27 09:07:28 cher Exp $
diff -Nurp reuse-4.2.0/source/unix/exec.c reuse/source/unix/exec.c
--- reuse-4.2.0/source/unix/exec.c	2005-08-08 11:50:26.000000000 +0400
+++ reuse/source/unix/exec.c	2005-10-27 12:57:52.000000000 +0400
@@ -1,4 +1,4 @@
-/* $Id: exec.c,v 6.33 2005/08/08 07:50:26 cher Exp $ */
+/* $Id: exec.c,v 6.34 2005/10/27 08:57:52 cher Exp $ */
 
 /* Copyright (C) 1998-2005 Alexander Chernov <cher@ispras.ru> */
 /* Created: <1998-01-21 14:33:28 cher> */
@@ -986,8 +986,8 @@ task_PrintArgs(tTask *tsk)
   if (verbose_flag)
     {
       if (tsk->main) {
-        fprintf(stderr, "task_Start: 0x%08x(%d):",
-                (unsigned int) tsk->main, tsk->args.u);
+        fprintf(stderr, "task_Start: 0x%08lx(%d):",
+                (unsigned long) tsk->main, tsk->args.u);
       } else {
         fprintf(stderr, "task_Start: execv(%d):", tsk->args.u);
       }
@@ -1821,7 +1821,7 @@ linux_set_fix_flag(void)
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const cvsid[] =
-"$Id: exec.c,v 6.33 2005/08/08 07:50:26 cher Exp $";
+"$Id: exec.c,v 6.34 2005/10/27 08:57:52 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/unix/os_env.c reuse/source/unix/os_env.c
--- reuse-4.2.0/source/unix/os_env.c	2004-08-25 09:00:29.000000000 +0400
+++ reuse/source/unix/os_env.c	2005-10-27 12:57:17.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode:c -*- */
-/* $Id: os_env.c,v 1.4 2004/08/25 05:00:29 cher Exp $ */
+/* $Id: os_env.c,v 1.5 2005/10/27 08:57:17 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This library is free software; you can redistribute it and/or
@@ -89,7 +89,7 @@ get_PRJ_CONFIG(void)
  * RETURN:  0 - ok, <0 - error
  */
   int
-os_GuessProjectEnv(char const *path, char const *project)
+os_GuessProjectEnv(char *path, char const *project)
 {
   int   rcode    = 0;
   char *path1    = 0;
@@ -160,12 +160,12 @@ os_GuessProjectEnv(char const *path, cha
       unsigned char exe_path[1024];
       int link_len;
 
-      snprintf(exe_info_path, sizeof(exe_info_path),
+      snprintf((char*) exe_info_path, sizeof(exe_info_path),
                "/proc/%d/exe", getpid());
       memset(exe_path, 0, sizeof(exe_path));
-      if ((link_len=readlink(exe_info_path,exe_path,sizeof(exe_path)-1))>=0) {
-        path = alloca(strlen(exe_path) + 1);
-        strcpy(path, exe_path);
+      if ((link_len=readlink((char*)exe_info_path,(char*)exe_path,sizeof(exe_path)-1))>=0) {
+        path = alloca(strlen((char*)exe_path) + 1);
+        strcpy(path, (char*)exe_path);
       }
     }
 #endif
@@ -250,7 +250,7 @@ os_GuessProjectEnv(char const *path, cha
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: os_env.c,v 1.4 2004/08/25 05:00:29 cher Exp $";
+"$Id: os_env.c,v 1.5 2005/10/27 08:57:17 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/unix/stream_io.c reuse/source/unix/stream_io.c
--- reuse-4.2.0/source/unix/stream_io.c	2004-07-10 22:46:02.000000000 +0400
+++ reuse/source/unix/stream_io.c	2005-10-27 12:37:37.000000000 +0400
@@ -1,6 +1,6 @@
-/* $Id: stream_io.c,v 6.8 2004/07/10 18:46:02 cher Exp $ */
+/* $Id: stream_io.c,v 6.9 2005/10/27 08:37:37 cher Exp $ */
 
-/* Copyright (C) 1997-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 1997-2005 Alexander Chernov <cher@ispras.ru> */
 /* Created: <97/11/01 16:43:16 cher> */
 
 /*
@@ -447,7 +447,7 @@ strm_Open(tpStream s)
 
   if (s->port >= 0)
     {
-      int inlen;
+      socklen_t inlen;
 
       /* we're given port number to listen on */
       errno = 0;
@@ -1315,7 +1315,7 @@ strm_PutLongDouble(tpStream s, long doub
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const cvsid[] =
-"$Id: stream_io.c,v 6.8 2004/07/10 18:46:02 cher Exp $";
+"$Id: stream_io.c,v 6.9 2005/10/27 08:37:37 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/writehf.c reuse/source/writehf.c
--- reuse-4.2.0/source/writehf.c	2004-07-17 10:28:14.000000000 +0400
+++ reuse/source/writehf.c	2005-10-27 13:00:18.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode: C -*- */
-/* $Id: writehf.c,v 1.5 2004/07/17 06:28:14 cher Exp $ */
+/* $Id: writehf.c,v 1.6 2005/10/27 09:00:18 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This program is free software; you can redistribute it and/or
@@ -54,9 +54,9 @@ reuse_writehf(char *str, size_t size, fl
   unsigned long d;
   int ed;
   char expbuf[32], *pexp;
-  unsigned char const *digit_conv = _reuse_dig2charlower;
+  unsigned char const *digit_conv = (const unsigned char*)_reuse_dig2charlower;
 
-  if ((flags & REUSE_FORMAT_UP)) digit_conv = _reuse_dig2charupper;
+  if ((flags & REUSE_FORMAT_UP)) digit_conv = (const unsigned char*)_reuse_dig2charupper;
   if (lval == 0x7fc00000) {
     PUT_TO_STRING(str, size, ol, LETTER('n'));
     PUT_TO_STRING(str, size, ol, LETTER('a'));
@@ -143,7 +143,7 @@ reuse_writehf(char *str, size_t size, fl
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: writehf.c,v 1.5 2004/07/17 06:28:14 cher Exp $";
+"$Id: writehf.c,v 1.6 2005/10/27 09:00:18 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/writell.c reuse/source/writell.c
--- reuse-4.2.0/source/writell.c	2004-07-17 10:28:14.000000000 +0400
+++ reuse/source/writell.c	2005-10-27 12:59:57.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode: C -*- */
-/* $Id: writell.c,v 1.6 2004/07/17 06:28:14 cher Exp $ */
+/* $Id: writell.c,v 1.7 2005/10/27 08:59:57 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This program is free software; you can redistribute it and/or
@@ -45,10 +45,10 @@ reuse_writell(char *str, size_t size, vo
   char buf1[128];
   int  b1len = 0;
   int  outlen = 0, i;
-  unsigned char const *digit_conv = _reuse_dig2charlower;
+  unsigned char const *digit_conv = (const unsigned char*) _reuse_dig2charlower;
 
   if ((flags & REUSE_FORMAT_UP)) {
-    digit_conv = _reuse_dig2charupper;
+    digit_conv = (const unsigned char*) _reuse_dig2charupper;
   }
 
   if (!pval) return -1;
@@ -97,7 +97,7 @@ reuse_writell(char *str, size_t size, vo
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: writell.c,v 1.6 2004/07/17 06:28:14 cher Exp $";
+"$Id: writell.c,v 1.7 2005/10/27 08:59:57 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
diff -Nurp reuse-4.2.0/source/writeull.c reuse/source/writeull.c
--- reuse-4.2.0/source/writeull.c	2004-07-17 10:28:14.000000000 +0400
+++ reuse/source/writeull.c	2005-10-27 12:59:44.000000000 +0400
@@ -1,7 +1,7 @@
 /* -*- mode: C -*- */
-/* $Id: writeull.c,v 1.6 2004/07/17 06:28:14 cher Exp $ */
+/* $Id: writeull.c,v 1.7 2005/10/27 08:59:44 cher Exp $ */
 
-/* Copyright (C) 2002-2004 Alexander Chernov <cher@ispras.ru> */
+/* Copyright (C) 2002-2005 Alexander Chernov <cher@ispras.ru> */
 
 /*
  * This program is free software; you can redistribute it and/or
@@ -42,10 +42,10 @@ reuse_writeull(char *str, size_t size, v
   char buf1[128];
   int  b1len = 0;
   int  outlen = 0, i;
-  unsigned char const *digit_conv = _reuse_dig2charlower;
+  unsigned char const *digit_conv = (const unsigned char*) _reuse_dig2charlower;
 
   if ((flags & REUSE_FORMAT_UP)) {
-    digit_conv = _reuse_dig2charupper;
+    digit_conv = (const unsigned char*) _reuse_dig2charupper;
   }
 
   if (!pval) return -1;
@@ -84,7 +84,7 @@ reuse_writeull(char *str, size_t size, v
 
 #if REUSE_COMPILE_CVSID - 0 != 0
 static char const rcsid [] =
-"$Id: writeull.c,v 1.6 2004/07/17 06:28:14 cher Exp $";
+"$Id: writeull.c,v 1.7 2005/10/27 08:59:44 cher Exp $";
 #endif /* REUSE_COMPILE_CVSID */
 
 /*
